# std::swap(std::any)

From cppreference.com
< cpp‎ | utility‎ | any

void swap(any& lhs, any& rhs); |  | (since C++17)

Overloads the std::swap algorithm for std::any. Swaps the content of two `any` objects by calling lhs.swap(rhs).

### Parameters

lhs, rhs | - | objects to swap

### Return value

(none)

### Exceptions

`noexcept` specification:
noexcept

### See also

swap | swaps two `any` objects (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/utility/any/swap2&oldid=91693"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template